<template>
  <div>
    <div class="subtitle-2"><b>Territorio</b></div>
    <v-autocomplete
      :items="servicioTerritorios"
      item-text="territorio"
      item-value="idTerritorio"
      label="Filtra por territorio"
      single-line
      return-object
      @change="(event) => callbackSelect(event)"
    >
    </v-autocomplete>
  </div>
</template>

<script>
import store from "@/store";
import axios from "axios";
const localStorage = store.state.serviceLocalStorage;
export default {
  name: "FiltroTerritorioCoordinador",
  props: {
    usuario: Object,
    callbackSelect: { type: Function },
    callbackFinishService: { type: Function },
  },
  computed: {
    data: {
      get() {
        return this.value;
      },
      set(value) {
        this.$emit("input", value);
      },
    },
  },
  data() {
    return {
      servicioTerritorios: [],
    };
  },
  methods: {
    borrarListaTerritorios() {
      this.formatos = [];
    },

    getTerritorios() {
      //
      let url1 = "/asignacion-mtto/secure/get/geografia";
      axios
        .post(url1, { territorio: null })
        .then((response) => {
          if (response) {
            if (response.data.status_code === 200) {
              const data = response.data.data;
              if (data) {
                console.log("geografia\n" + JSON.stringify(data));
                this.servicioTerritorios = data;
                this.validaServiciosEjecutados();
              }
            }
          }
        })
        .catch((error) => {
          console.log(error);
        })
        .finally(function () {});
    },
    validaServiciosEjecutados() {
      if (this.servicioTerritorios) {
        if (localStorage.userToken()) {
          this.servicioTerritorios = this.servicioTerritorios.filter(
              (item) => item.idResponsable == localStorage.userToken().empleado
          );
          this.callbackFinishService(this.servicioTerritorios);
        } else {
          this.callbackFinishService([]);
        }
      }
    },
  },

  created() {
    this.getTerritorios();

  },
};
</script>

<style lang="scss" scoped></style>
